VERSION 5.00
Begin VB.Form ean13 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Codes barre EAN 8 & 13 / EAN 8 & 13 bar codes"
   ClientHeight    =   4830
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7245
   Icon            =   "ean13.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4830
   ScaleWidth      =   7245
   StartUpPosition =   3  'Windows Default
   Begin VB.OptionButton Option2 
      Caption         =   "EAN 13"
      Height          =   255
      Left            =   2040
      TabIndex        =   14
      Top             =   720
      Value           =   -1  'True
      Width           =   855
   End
   Begin VB.OptionButton Option1 
      Caption         =   "EAN 8"
      Height          =   255
      Left            =   2040
      TabIndex        =   13
      Top             =   450
      Width           =   855
   End
   Begin VB.TextBox Text2 
      Appearance      =   0  'Flat
      Height          =   375
      Left            =   4320
      MaxLength       =   5
      TabIndex        =   9
      Top             =   1080
      Width           =   975
   End
   Begin VB.CommandButton Command2 
      Caption         =   "&Copier / Copy"
      Height          =   375
      Left            =   5880
      TabIndex        =   7
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "&Fermer / Close"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   4320
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Appearance      =   0  'Flat
      Height          =   375
      Left            =   120
      MaxLength       =   12
      TabIndex        =   0
      Top             =   600
      Width           =   1455
   End
   Begin VB.Label Label11 
      Caption         =   "If necessary type here your 2 or 5 digits add-on :"
      Height          =   200
      Left            =   120
      TabIndex        =   12
      Top             =   1280
      Width           =   4215
   End
   Begin VB.Label Label10 
      Caption         =   "Here is the code string :"
      Height          =   200
      Left            =   3120
      TabIndex        =   11
      Top             =   320
      Width           =   2295
   End
   Begin VB.Label Label9 
      Caption         =   "Type your code here :"
      Height          =   200
      Left            =   120
      TabIndex        =   10
      Top             =   320
      Width           =   1815
   End
   Begin VB.Label Label8 
      Caption         =   "Indiquez le cas chant le supplment  2 ou 5 chiffres :"
      Height          =   200
      Left            =   120
      TabIndex        =   8
      Top             =   1080
      Width           =   4215
   End
   Begin VB.Label Label5 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   3120
      TabIndex        =   6
      Top             =   600
      Width           =   2655
   End
   Begin VB.Label Label4 
      Caption         =   "Voici la chaine de code :"
      Height          =   200
      Left            =   3120
      TabIndex        =   5
      Top             =   120
      Width           =   2295
   End
   Begin VB.Label Label3 
      Caption         =   "Voici le rsultat / Here is the result :"
      Height          =   195
      Left            =   120
      TabIndex        =   4
      Top             =   1600
      Width           =   3135
   End
   Begin VB.Label Label2 
      Caption         =   "Tapez votre code ici :"
      Height          =   200
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   1815
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Code EAN13"
         Size            =   80.25
         Charset         =   2
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   2295
      Left            =   120
      TabIndex        =   2
      Top             =   1920
      Width           =   6975
   End
End
Attribute VB_Name = "ean13"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Function Ean13 Lib "openbarcodes" (ByVal BufIn As String, ByVal BufOut As String) As Long
Private Declare Function AddOn Lib "openbarcodes" (ByVal BufIn As String, ByVal SizeIn As Long, ByVal BufOut As String) As Long
Private Declare Function Ean8 Lib "openbarcodes" (ByVal BufIn As String, ByVal BufOut As String) As Long
Private EANLen%

Private Sub Command1_Click()
  Unload Me
End Sub

Private Sub Command2_Click()
  Clipboard.Clear
  Clipboard.SetText Label5.Caption
End Sub

Private Sub Form_Load()
  EANLen% = 12
End Sub

Private Sub Option1_Click()
  EANLen% = 7
  Text1.MaxLength = 7
  Text1 = Left$(Text1, 7)
End Sub

Private Sub Option2_Click()
  EANLen% = 12
  Text1.MaxLength = 12
End Sub

Private Sub Text1_Change()
  Dim CodeBarre$, CodeClair$, strAddOn$, Retour%
  'Ajustement  7 ou 12 chiffres en ajoutant des zros
  'Adjust the length to 7 or 12 digits by adding zeros
  If Text1 <> "" Then
    CodeClair$ = Text1 & String$(EANLen% - Len(Text1), "0")
    If EANLen% = 12 Then ' EAN13
      CodeBarre$ = Space$(15)
      Retour% = Ean13(CodeClair$, CodeBarre$)
    Else ' EAN8
      CodeBarre$ = Space$(11)
      Retour% = Ean8(CodeClair$, CodeBarre$)
    End If
    If Retour% = 0 Then
      strAddOn$ = Space$(Len(Text2) * 2)
      Retour% = AddOn(Text2, Len(Text2), strAddOn$)
      If Retour% = 0 Then
        CodeBarre$ = CodeBarre$ & strAddOn$
      End If
    Else
      CodeBarre$ = ""
    End If
  End If
  Label5.Caption = CodeBarre$
  Label1.Caption = CodeBarre$
End Sub

Private Sub Text2_Change()
  Call Text1_Change
End Sub
